Package bitel.billing.server.contract.bean

# Class ContractNotificationManager

java.lang.Object
bitel.billing.server.contract.bean.ContractNotificationManager

    @Deprecated
    public class ContractNotificationManager
    extends java.lang.Object

Deprecated.
use `ContractNotification`, `ContractNotificationDao` and `ContractNotificationService`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected org.apache.logging.log4j.Logger` | `log` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractNotificationManager​(java.sql.Connection con)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteNotification​(int id)` | Deprecated.
  `int` | `getNewNotificationsCount​(int cid)` | Deprecated.
  `ContractNotification` | `getNotification​(int id)` | Deprecated.
  `java.util.List<ContractNotification>` | `getNotificationList​(int cid)` | Deprecated.
  `void` | `updateNotification​(ContractNotification notice)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### log

    protected org.apache.logging.log4j.Logger log
    Deprecated.

- ## Constructor Details

  - ### ContractNotificationManager

    public ContractNotificationManager​(java.sql.Connection con)
    Deprecated.

- ## Method Details

  - ### updateNotification

    public void updateNotification​(ContractNotification notice)
    Deprecated.

  - ### deleteNotification

    public void deleteNotification​(int id)
    Deprecated.

  - ### getNotification

    public ContractNotification getNotification​(int id)
    Deprecated.

  - ### getNotificationList

    public java.util.List<ContractNotification> getNotificationList​(int cid)
    Deprecated.

  - ### getNewNotificationsCount

    public int getNewNotificationsCount​(int cid)
    Deprecated.